Bug 114290 - Linux NFS client hangs when 'ls' contents from exported shares of an NFS HP-UX server 10.20, causing Kernel Oops and the client machine to restart.
Linux NFS client hangs when 'ls' contents from exported shares of an NFS HP-U...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: nfs-utils (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-26 05:50 EST by Hernando Garcia
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel oops (199 bytes, text/plain)
2004-01-26 06:15 EST, Hernando Garcia
no flags Details
bzip pdf archive (18.13 KB, application/octet-stream)
2004-01-26 07:07 EST, Hernando Garcia
no flags Details

  None (edit)
Description Hernando Garcia 2004-01-26 05:50:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031015 Firebird/0.7

Description of problem:
When the client (AS2.1u3) mount a directory via NFS from an NFS Server
HP-UX 10.20, displaying contents of the share with for example 'ls'
causes the client to hang and a reboot is required to recover from it.

The customer has tried with RH 7.2 and the problem recurs, however RH
7.3, RH 9 and RHEL AS 3 fix the problem. There was a similar bug #
51633 (the closest I could get to a similar issue) fixed by installing
RH 7.3

Please see attachment with a Kernel Ooops.
 

Version-Release number of selected component (if applicable):
nfs-utils-0.3.3-7.21AS

How reproducible:
Always

Steps to Reproduce:
1.NFS Server: HP-UX 10.20 exporting shares
2.NFS Client: AS2.1 u3 with latest kernel 2.4.9-3.35ent mounting those
shares.
3.'cd' into the exported dir and 'ls'
   

Actual Results:  The client hangs and a reboot is required at this point.

Expected Results:  Full view of contents in the exported dir.

Additional info:
Comment 1 Hernando Garcia 2004-01-26 06:15:34 EST
Created attachment 97254 [details]
Kernel oops

Kernel oops captured.
Comment 2 Hernando Garcia 2004-01-26 06:37:29 EST
This is the entry of the /etc/exports in the HP-UX.

/opt/apli/propias -access=curvaton.carm.es
/var/tmpdir -access=curvaton.carm.es:contramesana.carm.es
/prj/gelido -access=curvaton.carm.es
/prj/paso -access=curvaton.carm.es

This is how the share is mounted by Linux AS2.1u3 client /etc/fstab:

ancianix:/var/tmpdir           /var/tmpdir           nfs  rw,auto  1 2
ancianix:/prj/paso/log         /prj/paso/log         nfs  rw,auto  1 2
ancianix:/prj/gelido/PASO/log  /prj/gelido/PASO/log  nfs  rw,auto  1 2
ancianix:/prj/gelido/PASO/fdat /prj/gelido/PASO/fdat nfs  rw,auto  1 2
ancianix:/opt/apli/propias/www /opt/apli/propias/www nfs  rw,auto  1 2
ancianix:/opt/apli/propias/ws  /opt/apli/propias/ws  nfs  rw,auto  1 2

Comment 3 Hernando Garcia 2004-01-26 07:07:36 EST
Created attachment 97255 [details]
bzip pdf archive

The right file format kernel_oops
Comment 4 Suzanne Hillman 2004-01-29 11:45:44 EST
This happens no matter which of the exports is mounted? 

Can you add in a  new one and reproduce it with that one? 

Finally, and perhaps less possible if the HP-UX machine is in
production, can you make a backup copy of the exports file, and them
completely empty it out except for a test export? And try mounting that?
Comment 6 RHEL Product and Program Management 2007-10-19 15:23:15 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.